Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522763 - Very disturbed display with scrolling window on firefox
Summary: Very disturbed display with scrolling window on firefox
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 522985 533626 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 10:57 UTC by Mamoru TASAKA
Modified: 2018-04-11 08:01 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:44:13 UTC
Type: ---
cb-rhbugz: needinfo-


Attachments (Terms of Use)
Display of firefox when scrolling window with mouse (145.43 KB, image/png)
2009-09-11 10:57 UTC, Mamoru TASAKA
no flags Details
xorg.0.log (103.64 KB, text/plain)
2009-09-11 10:59 UTC, Mamoru TASAKA
no flags Details
dmesg (33.48 KB, text/plain)
2009-09-11 11:00 UTC, Mamoru TASAKA
no flags Details
lspci -vvv (10.37 KB, text/plain)
2009-09-11 11:00 UTC, Mamoru TASAKA
no flags Details
screenshot today (170.74 KB, image/png)
2009-11-06 07:19 UTC, Mamoru TASAKA
no flags Details
screenshot today (131.73 KB, image/png)
2009-12-17 14:17 UTC, Mamoru TASAKA
no flags Details
affected firefox window (160.44 KB, image/png)
2010-01-16 22:27 UTC, Armands Liepins
no flags Details
Nautilus display corruption when scrolling (70.06 KB, image/png)
2010-06-09 06:28 UTC, Johann Amin
no flags Details
Bug being reproduced today (47.37 KB, image/jpeg)
2010-07-23 17:29 UTC, Benjamin Petrin
no flags Details

Description Mamoru TASAKA 2009-09-11 10:57:40 UTC
Created attachment 360667 [details]
Display of firefox when scrolling window with mouse

Description of problem:
When scrolling window on firefox with mouse, the display on firefox
gets seriously disturbed.

Version-Release number of selected component (if applicable):
firefox-3.5.3-1.fc12.i686
xorg-x11-server-Xorg-1.6.99.900-1.fc12.i686
xorg-x11-drv-intel-2.8.0-13.20090909.fc12.i686


How reproducible:
100%

Steps to Reproduce:
1. launch firefox
2. scroll window
3.
  
Actual results:
See the attached png file

Comment 1 Mamoru TASAKA 2009-09-11 10:59:55 UTC
Created attachment 360668 [details]
xorg.0.log

Comment 2 Mamoru TASAKA 2009-09-11 11:00:22 UTC
Created attachment 360669 [details]
dmesg

Comment 3 Mamoru TASAKA 2009-09-11 11:00:48 UTC
Created attachment 360670 [details]
lspci -vvv

xorg.conf is empty

Comment 5 Matěj Cepl 2009-11-05 17:16:07 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 6 Mamoru TASAKA 2009-11-05 17:58:40 UTC
Actually I saw this issue until yesterday, however today I don't see 
this issue. I want to test this one or two days.
(note that "yesterday" or so is on TZ=Asia/Tokyo).

Currently 
kernel-2.6.31.5-117.fc12.i686
xorg-x11-server-Xorg-1.7.1-6.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686

Comment 7 Mamoru TASAKA 2009-11-06 06:52:20 UTC
Umm, still reproducible on some occation with

kernel-2.6.31.5-122.fc12.i686
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686

Comment 8 Adam Williamson 2009-11-06 07:08:12 UTC
*** Bug 522985 has been marked as a duplicate of this bug. ***

Comment 9 Adam Williamson 2009-11-06 07:08:45 UTC
this is actually a server bug. dave airlie knows about it...he was following 522985.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Mamoru TASAKA 2009-11-06 07:19:06 UTC
Created attachment 367791 [details]
screenshot today

(In reply to comment #7)
> Umm, still reproducible on some occation with
> 
> kernel-2.6.31.5-122.fc12.i686
> xorg-x11-server-Xorg-1.7.1-7.fc12.i686
> xorg-x11-drv-intel-2.9.1-1.fc12.i686  

screenshot with this

Comment 11 Matěj Cepl 2009-11-08 02:03:39 UTC
*** Bug 533626 has been marked as a duplicate of this bug. ***

Comment 12 Bug Zapper 2009-11-16 12:15:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Jan ONDREJ 2009-11-24 10:43:44 UTC
Same problems for me with radeonhd driver, as described also in BZ#531065.

Versions (fedora12 stable with all updates):
kernel-PAE-2.6.31.5-127.fc12.i686
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
xorg-x11-drv-radeonhd-1.3.0-3.15.20091112git.fc12.i686

Looking, that no news long time for this bug. :-(

Comment 14 Soeren Grunewald 2009-12-01 07:41:19 UTC
Rebuilding the xserver with this patch [http://bugs.freedesktop.org/attachment.cgi?id=31477] solves the problem for me.

Comment 15 udo 2009-12-13 14:15:46 UTC
THanks. Will Fedora release an updated xorg-x11-server? It looks they do not see that this bug hits several brands and types of cards.
The fix is known, could be confirmed for all cases quickly, and be released as an update...

Comment 16 Adam Williamson 2009-12-16 23:42:31 UTC
Please don't change the priority and severity fields. We have a specific policy concerning the use of these fields:

https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow#Priority_and_Severity

This bug is triaged and assigned to one of the main X server developers, so it's in the right hands to be considered for an update. Dave?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 17 Adam Williamson 2009-12-16 23:47:15 UTC
Dave points out that the patch is not a proper fix, it just removes a large chunk of code and hence avoids the bug (but also avoids doing all the useful stuff said code is meant to do). He's looking into if a proper fix for this is available upstream.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 18 Adam Williamson 2009-12-17 00:09:58 UTC
Dave asks if people may be able to try with server 1.7.3-3 , now building at http://koji.fedoraproject.org/koji/buildinfo?buildID=147423 : the changes in it may fix this issue. Please let us know. Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 19 Soeren Grunewald 2009-12-17 09:28:49 UTC
seems to work from me, no issues so far.

kernel-2.6.31.6-166.fc12.x86_64
xorg-x11-server-Xorg-1.7.3-3.fc12.x86_64
xorg-x11-server-common-1.7.3-3.fc12.x86_64
xorg-x11-server-utils-7.4-13.fc12.x86_64
xorg-x11-server-devel-1.7.3-3.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.11.20091119git437113124.fc12.x86_64

Comment 20 Adam Williamson 2009-12-17 11:49:35 UTC
Thanks. Any reports from others?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 21 Mamoru TASAKA 2009-12-17 14:17:55 UTC
Created attachment 378997 [details]
screenshot today

screenshot with:

xorg-x11-drv-intel-2.9.1-1.fc12.i686
xorg-x11-server-Xorg-1.7.3-3.fc12.i686
kernel-2.6.31.8-169.fc12.i686

Comment 22 udo 2009-12-17 14:31:15 UTC
Busy testing, will try to report back soon...

Comment 23 Jan ONDREJ 2009-12-18 07:45:59 UTC
xorg-x11-server-Xorg-1.7.3-3.fc12.i686 works well for me, just I still need "nomodeset" parameter for kernel, otherwise I have only blank screen when Xorg is started.

Comment 24 Adam Williamson 2009-12-18 10:47:43 UTC
jan: do you have a separate bug report filed for that issue?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 25 Jan ONDREJ 2009-12-18 11:28:24 UTC
> jan: do you have a separate bug report filed for that issue?

No, filling now:
https://bugzilla.redhat.com/show_bug.cgi?id=548721

But I think this update should go to at least fedora-testing and then to stable, because it fixes important bug, which is present on many machines (Intel or ATI cards).(In reply to comment #24)

Comment 26 udo 2009-12-18 14:01:28 UTC
The recent Xorg updates work well for me.
ATI rv635 card, radeonhd from git. 2.6.32 kernel (not from Fedora), rest is F12.

Comment 27 cb-rhbugz 2009-12-18 14:09:16 UTC
I can still reproduce screen corruption when scrolling firefox when a terminal
window is placed above it.

Comment 28 Mamoru TASAKA 2009-12-18 14:14:41 UTC
(In reply to comment #27)
> I can still reproduce screen corruption when scrolling firefox when a terminal
> window is placed above it.  

Yes, this is exactly what I attached in my comment 21

Comment 29 udo 2009-12-20 09:25:29 UTC
Corruption is gone as I mentioned earlier.
This newer xorg server does crash when I try to enable compiz, though.
(mesa from git head, radeonhd from git, kernel.org 2.6.32, rest is F12)

[drm] Setting GART location based on new memory map
[drm] Loading RV635 CP Microcode
platform r600_cp.0: firmware: requesting radeon/RV635_pfp.bin
platform r600_cp.0: firmware: requesting radeon/RV635_me.bin
[drm] Resetting GPU
[drm] writeback test succeeded in 1 usecs
[drm] Resetting GPU
Process 14218(Xorg) has RLIMIT_CORE set to 0
Aborting core
[drm] Setting GART location based on new memory map
[drm] Loading RV635 CP Microcode
platform r600_cp.0: firmware: requesting radeon/RV635_pfp.bin
platform r600_cp.0: firmware: requesting radeon/RV635_me.bin
[drm] Resetting GPU
[drm] writeback test succeeded in 1 usecs

Comment 30 udo 2009-12-20 11:15:03 UTC
   1.
      Backtrace:
   2.
      0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e998]
   3.
      1: /usr/bin/Xorg (0x400000+0x619c9) [0x4619c9]
   4.
      2: /lib64/libpthread.so.0 (0x3821e00000+0xefa0) [0x3821e0efa0]
   5.
      3: /usr/lib64/xorg/modules/drivers/radeonhd_drv.so (0x7f69d0d14000+0x4f8e0) [0x7f69d0d638e0]
   6.
      4: /usr/lib64/xorg/modules/drivers/radeonhd_drv.so (0x7f69d0d14000+0x5e2a0) [0x7f69d0d722a0]
   7.
      5: /usr/lib64/xorg/modules/libexa.so (0x7f69d08df000+0xd06a) [0x7f69d08ec06a]
   8.
      6: /usr/lib64/xorg/modules/libexa.so (0x7f69d08df000+0xe142) [0x7f69d08ed142]
   9.
      7: /usr/bin/Xorg (0x400000+0xd1de0) [0x4d1de0]
  10.
      8: /usr/bin/Xorg (0x400000+0xcb96e) [0x4cb96e]
  11.
      9: /usr/bin/Xorg (0x400000+0x2c6ac) [0x42c6ac]
  12.
      10: /usr/bin/Xorg (0x400000+0x21d0a) [0x421d0a]
  13.
      11: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x382121eb1d]
  14.
      12: /usr/bin/Xorg (0x400000+0x218b9) [0x4218b9]
  15.
      Segmentation fault at address (nil)

This is using the xorg server that fixes the corruption.

Comment 31 István Tóth 2009-12-20 11:24:06 UTC
The new X server seems to fix the corruption issue for me as well.
(I experienced it in Firefox and Eclipse)

I use the default "radeon" (not radeonhd) driver, and an ATI 4870

Enabling compiz results in funny empty windows, but no crash ( but compiz has never worked for me with the "radeon" driver, so no loss there)

Comment 32 David Rees 2010-01-05 04:40:04 UTC
(In reply to comment #18)
> Dave asks if people may be able to try with server 1.7.3-3 , now building at
> http://koji.fedoraproject.org/koji/buildinfo?buildID=147423 : the changes in it
> may fix this issue. Please let us know. Thanks!

I can confirm that this build of xorg-x11-server fixes all the weird scrolling / window moving drawing issues I had with the previous release (both in updates and updates-testing).

Comment 33 Armands Liepins 2010-01-16 22:27:31 UTC
Created attachment 384861 [details]
affected firefox window

still happens when scroll having other window above the firefox window
xorg-x11-server-Xorg-1.7.4-1.fc12.i686

Comment 34 cb-rhbugz 2010-03-06 11:46:16 UTC
Another update (xorg-x11-server-Xorg-1.7.5-5.fc12.i686) without a fix for this.

Is there any intention to fix this in F12?

Comment 35 Johann Amin 2010-06-09 06:24:43 UTC
I'm experiencing the same issue with F13. This seems to be happening everywhere, not only in Firefox.

Comment 36 Johann Amin 2010-06-09 06:28:36 UTC
Created attachment 422449 [details]
Nautilus display corruption when scrolling

Corruption seems to occurring everywhere; firefox, nautilus, gedit, openoffice just to name a few apps that I use regularly.

Comment 37 Adam Williamson 2010-06-09 21:18:03 UTC
That doesn't look like the same issue, Johann. You should probably file a new bug. thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 38 Johann Amin 2010-06-10 00:13:47 UTC
I don't think I had my head on straight when I posted. Just to clarify my post(36) above. The black line were done by myself to hide the folder names of my customers projects. I was just trying to show a garbled nautilus window. Sorry if it's not the same issue.

Comment 39 Adam Williamson 2010-06-10 00:32:15 UTC
the problem described in this bug appears to happen only with Firefox, which is why I think it's a different issue.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 40 Mark van Rossum 2010-07-19 14:52:25 UTC
Same here with an nvidia card (proprietary driver) and 
xorg-x11-server-Xorg-1.8.2-1.fc13.i686
firefox-3.6.4-1.fc13.i686

The corruption disappear as soon as the mouse leaves the window.

I have 'focus under mouse'

Comment 41 cb-rhbugz 2010-07-20 20:12:03 UTC
Still reproducible in F13

Comment 42 Benjamin Petrin 2010-07-23 17:28:24 UTC
This is always reproducible for me on f12. Open a terminal and place it on top of firefox, scroll firefox with the mouse wheel and observe the firefox window.

firefox.i686 3.5.10-1.fc12
xorg-x11-server-Xorg.i686 1.7.6-4.fc12
kernel.i686 2.6.32.16-141.fc12

Comment 43 Benjamin Petrin 2010-07-23 17:29:28 UTC
Created attachment 434019 [details]
Bug being reproduced today

Comment 44 Bug Zapper 2010-11-04 10:05:36 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 45 cb-rhbugz 2010-11-04 22:47:43 UTC
This is still present in Fedora 13. Please update the version field in bugzilla.

I will try F14 soon

Comment 46 Matěj Cepl 2010-11-04 23:47:19 UTC
(In reply to comment #45)
> I will try F14 soon

Thanks, let us know.

Comment 47 Jan ONDREJ 2010-11-05 08:40:16 UTC
(In reply to comment #45)
> I will try F14 soon

I can confirm same problem on F14.

In f14 I switched from radeonhd-nonfb driver to ati or radeon driver using frame buffer, because there is no radeonhd driver for f14, but problem still persist.

Comment 48 cb-rhbugz 2010-11-13 10:38:54 UTC
What's the deal with this? It's been a year, and seems to be simple to reproduce. What's holding it up?

Comment 49 udo 2010-11-13 13:26:02 UTC
Resources c.q. priorities.

Comment 50 Zoltan Boszormenyi 2011-01-23 20:00:47 UTC
This bug happens all the time for me on Fedora 14 if the Firefox window is partly covered by another window. Scrolling the Firefox window's content creates screen corruption. As soon as the Firefox window is fully uncovered, the corruption disappears.

Comment 51 Fedora End Of Life 2012-08-16 21:44:16 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.